Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class ContratosDbHelper
    Inherits DbHelper(Of Contratos,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListContratosByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of Contratos)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idPlaza = idPlaza
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
